cc.Class({
    extends: cc.Component,

    properties: {
        preNode:{
            default:null,
            type: cc.Prefab
        }
    },

    // use this for initialization
    onLoad: function () {

        this.方案1();
        //this.方案2();

    },

    //每10分钟内存上涨10M
    方案1:function(){
        this.actionArr = [];
        this.nodeArr = [];
        for(var i=0; i<100; i++){
            this.actionArr.push(cc.moveTo(0.5, cc.p(400, 0)));

            var tempNode = cc.instantiate(this.preNode);
            this.nodeArr.push(tempNode);
        }

        this.schedule(function(){
            var tempNode = this.nodeArr.shift();
            var tempAction = this.actionArr.shift();
            tempNode.parent = this.node;
            tempNode.position = cc.p(-400,0);

            var func = cc.callFunc(function(){
                tempNode.parent.removeChild(tempNode);
                this.actionArr.push(tempAction);
                this.nodeArr.push(tempNode);
            }, this);
            tempNode.runAction(cc.sequence(tempAction, func));

        }, 0.1);
    },

    //每2分钟内存上涨10M
    方案2:function(){
        this.schedule(function(){
            var tempNode = cc.instantiate(this.preNode);
            tempNode.parent = this.node;
            tempNode.position = cc.p(-400, 0);
            var func = cc.callFunc(function(){
                tempNode.parent.removeChild(tempNode);  
                tempNode.destroy();


            },this);

            tempNode.runAction(cc.sequence(cc.moveTo(0.5,cc.p(400,0)),func));

        }, 0.1);
    },


});
